org.jbpm.services.task.impl.model

## Class TaskDataImpl_

- java.lang.Object
- - org.jbpm.services.task.impl.model.TaskDataImpl_

-     @Generated(value="org.hibernate.jpamodelgen.JPAMetaModelEntityProcessor")
      public abstract class TaskDataImpl_
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static javax.persistence.metamodel.SingularAttribute<TaskDataImpl,Date>` | `activationTime`
    `static javax.persistence.metamodel.SingularAttribute<TaskDataImpl,UserImpl>` | `actualOwner`
    `static javax.persistence.metamodel.ListAttribute<TaskDataImpl,AttachmentImpl>` | `attachments`
    `static javax.persistence.metamodel.ListAttribute<TaskDataImpl,CommentImpl>` | `comments`
    `static javax.persistence.metamodel.SingularAttribute<TaskDataImpl,UserImpl>` | `createdBy`
    `static javax.persistence.metamodel.SingularAttribute<TaskDataImpl,Date>` | `createdOn`
    `static javax.persistence.metamodel.SingularAttribute<TaskDataImpl,String>` | `deploymentId`
    `static javax.persistence.metamodel.SingularAttribute<TaskDataImpl,org.kie.internal.task.api.model.AccessType>` | `documentAccessType`
    `static javax.persistence.metamodel.SingularAttribute<TaskDataImpl,Long>` | `documentContentId`
    `static javax.persistence.metamodel.SingularAttribute<TaskDataImpl,String>` | `documentType`
    `static javax.persistence.metamodel.SingularAttribute<TaskDataImpl,Date>` | `expirationTime`
    `static javax.persistence.metamodel.SingularAttribute<TaskDataImpl,org.kie.internal.task.api.model.AccessType>` | `faultAccessType`
    `static javax.persistence.metamodel.SingularAttribute<TaskDataImpl,Long>` | `faultContentId`
    `static javax.persistence.metamodel.SingularAttribute<TaskDataImpl,String>` | `faultName`
    `static javax.persistence.metamodel.SingularAttribute<TaskDataImpl,String>` | `faultType`
    `static javax.persistence.metamodel.SingularAttribute<TaskDataImpl,org.kie.internal.task.api.model.AccessType>` | `outputAccessType`
    `static javax.persistence.metamodel.SingularAttribute<TaskDataImpl,Long>` | `outputContentId`
    `static javax.persistence.metamodel.SingularAttribute<TaskDataImpl,String>` | `outputType`
    `static javax.persistence.metamodel.SingularAttribute<TaskDataImpl,Long>` | `parentId`
    `static javax.persistence.metamodel.SingularAttribute<TaskDataImpl,org.kie.api.task.model.Status>` | `previousStatus`
    `static javax.persistence.metamodel.SingularAttribute<TaskDataImpl,String>` | `processId`
    `static javax.persistence.metamodel.SingularAttribute<TaskDataImpl,Long>` | `processInstanceId`
    `static javax.persistence.metamodel.SingularAttribute<TaskDataImpl,Long>` | `processSessionId`
    `static javax.persistence.metamodel.SingularAttribute<TaskDataImpl,Boolean>` | `skipable`
    `static javax.persistence.metamodel.SingularAttribute<TaskDataImpl,org.kie.api.task.model.Status>` | `status`
    `static javax.persistence.metamodel.SingularAttribute<TaskDataImpl,Long>` | `workItemId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskDataImpl_()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### attachments

          public static volatile javax.persistence.metamodel.ListAttribute<TaskDataImpl,AttachmentImpl> attachments

    - #### documentType

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskDataImpl,String> documentType

    - #### outputType

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskDataImpl,String> outputType

    - #### workItemId

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskDataImpl,Long> workItemId

    - #### createdOn

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskDataImpl,Date> createdOn

    - #### documentAccessType

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskDataImpl,org.kie.internal.task.api.model.AccessType> documentAccessType

    - #### processId

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskDataImpl,String> processId

    - #### actualOwner

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskDataImpl,UserImpl> actualOwner

    - #### faultContentId

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskDataImpl,Long> faultContentId

    - #### deploymentId

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskDataImpl,String> deploymentId

    - #### faultType

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskDataImpl,String> faultType

    - #### activationTime

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskDataImpl,Date> activationTime

    - #### processInstanceId

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskDataImpl,Long> processInstanceId

    - #### outputContentId

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskDataImpl,Long> outputContentId

    - #### comments

          public static volatile javax.persistence.metamodel.ListAttribute<TaskDataImpl,CommentImpl> comments

    - #### faultAccessType

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskDataImpl,org.kie.internal.task.api.model.AccessType> faultAccessType

    - #### parentId

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskDataImpl,Long> parentId

    - #### faultName

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskDataImpl,String> faultName

    - #### documentContentId

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskDataImpl,Long> documentContentId

    - #### createdBy

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskDataImpl,UserImpl> createdBy

    - #### outputAccessType

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskDataImpl,org.kie.internal.task.api.model.AccessType> outputAccessType

    - #### expirationTime

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskDataImpl,Date> expirationTime

    - #### processSessionId

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskDataImpl,Long> processSessionId

    - #### status

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskDataImpl,org.kie.api.task.model.Status> status

    - #### previousStatus

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskDataImpl,org.kie.api.task.model.Status> previousStatus

    - #### skipable

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskDataImpl,Boolean> skipable

  - ### Constructor Detail

    - #### TaskDataImpl_

          public TaskDataImpl_()

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.